CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.24. CUpti_ActivityName Struct Reference

## [CUPTI Activity API]

This activity record provides a name for a device, context, thread, etc. (CUPTI_ACTIVITY_KIND_NAME).

### Public Variables

CUpti_ActivityKind kind
const char * name
union CUpti_ActivityObjectKindId objectId
CUpti_ActivityObjectKind objectKind

### Variables

CUpti_ActivityKind CUpti_ActivityName::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_NAME.

const char * CUpti_ActivityName::name [inherited]

  The name.

union CUpti_ActivityObjectKindId CUpti_ActivityName::objectId [inherited]

  The identifier for the activity object. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityName::objectKind [inherited]

  The kind of activity object being named.